# Uses of Class
org.apache.sysds.runtime.matrix.operators.AggregateOperator

Packages that use AggregateOperator
Package
Description
org.apache.sysds.runtime.compress
org.apache.sysds.runtime.data
org.apache.sysds.runtime.instructions
org.apache.sysds.runtime.instructions.spark
org.apache.sysds.runtime.instructions.spark.functions
org.apache.sysds.runtime.instructions.spark.utils
org.apache.sysds.runtime.matrix.data
org.apache.sysds.runtime.matrix.operators

## Uses of AggregateOperator in org.apache.sysds.runtime.compress

Methods in org.apache.sysds.runtime.compress with parameters of type AggregateOperator
Modifier and Type
Method
Description
`void`
CompressedMatrixBlock.`incrementalAggregate(AggregateOperator aggOp, MatrixValue newWithCorrection)`
`void`
CompressedMatrixBlock.`incrementalAggregate(AggregateOperator aggOp, MatrixValue correction, MatrixValue newWithCorrection, boolean deep)`

## Uses of AggregateOperator in org.apache.sysds.runtime.data

Methods in org.apache.sysds.runtime.data with parameters of type AggregateOperator
Modifier and Type
Method
Description
`static void`
LibTensorAgg.`aggregateBinaryTensor(BasicTensorBlock in, BasicTensorBlock aggVal, AggregateOperator aop)`
Core incremental tensor aggregate (ak+) as used for uack+ and acrk+.
`void`
BasicTensorBlock.`incrementalAggregate(AggregateOperator aggOp, BasicTensorBlock partialResult)`

## Uses of AggregateOperator in org.apache.sysds.runtime.instructions

Methods in org.apache.sysds.runtime.instructions that return AggregateOperator
Modifier and Type
Method
Description
`static AggregateOperator`
InstructionUtils.`parseAggregateOperator(String opcode, String corrLoc)`

## Uses of AggregateOperator in org.apache.sysds.runtime.instructions.spark

Methods in org.apache.sysds.runtime.instructions.spark that return AggregateOperator
Modifier and Type
Method
Description
`static AggregateOperator`
SpoofSPInstruction.`getAggregateOperator(SpoofCellwise.AggOp aggop)`

## Uses of AggregateOperator in org.apache.sysds.runtime.instructions.spark.functions

Constructors in org.apache.sysds.runtime.instructions.spark.functions with parameters of type AggregateOperator
Modifier
Constructor
Description
``
`AggregateDropCorrectionFunction(AggregateOperator op)`

## Uses of AggregateOperator in org.apache.sysds.runtime.instructions.spark.utils

Methods in org.apache.sysds.runtime.instructions.spark.utils with parameters of type AggregateOperator
Modifier and Type
Method
Description
`static org.apache.spark.api.java.JavaPairRDD<MatrixIndexes,MatrixBlock>`
RDDAggregateUtils.`aggByKeyStable(org.apache.spark.api.java.JavaPairRDD<MatrixIndexes,MatrixBlock> in, AggregateOperator aop)`
`static org.apache.spark.api.java.JavaPairRDD<MatrixIndexes,MatrixBlock>`
RDDAggregateUtils.`aggByKeyStable(org.apache.spark.api.java.JavaPairRDD<MatrixIndexes,MatrixBlock> in, AggregateOperator aop, boolean deepCopyCombiner)`
`static org.apache.spark.api.java.JavaPairRDD<MatrixIndexes,MatrixBlock>`
RDDAggregateUtils.`aggByKeyStable(org.apache.spark.api.java.JavaPairRDD<MatrixIndexes,MatrixBlock> in, AggregateOperator aop, int numPartitions, boolean deepCopyCombiner)`
`static MatrixBlock`
RDDAggregateUtils.`aggStable(org.apache.spark.api.java.JavaPairRDD<MatrixIndexes,MatrixBlock> in, AggregateOperator aop)`
Single block aggregation over pair rdds with corrections for numerical stability.
`static MatrixBlock`
RDDAggregateUtils.`aggStable(org.apache.spark.api.java.JavaRDD<MatrixBlock> in, AggregateOperator aop)`
Single block aggregation over rdds with corrections for numerical stability.
`static TensorBlock`
RDDAggregateUtils.`aggStableTensor(org.apache.spark.api.java.JavaPairRDD<TensorIndexes,TensorBlock> in, AggregateOperator aop)`
Single block aggregation over pair rdds with corrections for numerical stability.
`static TensorBlock`
RDDAggregateUtils.`aggStableTensor(org.apache.spark.api.java.JavaRDD<TensorBlock> in, AggregateOperator aop)`
Single block aggregation over rdds with corrections for numerical stability.

## Uses of AggregateOperator in org.apache.sysds.runtime.matrix.data

Methods in org.apache.sysds.runtime.matrix.data with parameters of type AggregateOperator
Modifier and Type
Method
Description
`static void`
LibMatrixAgg.`aggregateBinaryMatrix(MatrixBlock in, MatrixBlock aggVal, AggregateOperator aop)`
Core incremental matrix aggregate (ak+) as used for uack+ and acrk+.
`void`
MatrixBlock.`incrementalAggregate(AggregateOperator aggOp, MatrixValue newWithCorrection)`
`void`
MatrixBlock.`incrementalAggregate(AggregateOperator aggOp, MatrixValue correction, MatrixValue newWithCorrection, boolean deep)`
`void`
MatrixCell.`incrementalAggregate(AggregateOperator aggOp, MatrixValue newWithCorrection)`
`void`
MatrixCell.`incrementalAggregate(AggregateOperator aggOp, MatrixValue correction, MatrixValue newWithCorrection, boolean deep)`
`abstract void`
MatrixValue.`incrementalAggregate(AggregateOperator aggOp, MatrixValue newWithCorrection)`
`abstract void`
MatrixValue.`incrementalAggregate(AggregateOperator aggOp, MatrixValue correction, MatrixValue newWithCorrection, boolean deep)`
`static void`
OperationsOnMatrixValues.`incrementalAggregation(MatrixValue valueAgg, MatrixValue correction, MatrixValue valueAdd, AggregateOperator op, boolean embeddedCorrection)`
`static void`
OperationsOnMatrixValues.`incrementalAggregation(MatrixValue valueAgg, MatrixValue correction, MatrixValue valueAdd, AggregateOperator op, boolean embeddedCorrection, boolean deep)`

## Uses of AggregateOperator in org.apache.sysds.runtime.matrix.operators

Fields in org.apache.sysds.runtime.matrix.operators declared as AggregateOperator
Modifier and Type
Field
Description
`final AggregateOperator`
AggregateBinaryOperator.`aggOp`
`final AggregateOperator`
AggregateTernaryOperator.`aggOp`
`final AggregateOperator`
AggregateUnaryOperator.`aggOp`
Constructors in org.apache.sysds.runtime.matrix.operators with parameters of type AggregateOperator
Modifier
Constructor
Description
``
`AggregateBinaryOperator(ValueFunction inner, AggregateOperator outer)`
``
`AggregateBinaryOperator(ValueFunction inner, AggregateOperator outer, int numThreads)`
``
`AggregateTernaryOperator(ValueFunction inner, AggregateOperator outer, IndexFunction ixfun)`
``
`AggregateTernaryOperator(ValueFunction inner, AggregateOperator outer, IndexFunction ixfun, int numThreads)`
``
`AggregateUnaryOperator(AggregateOperator aop, IndexFunction iop)`
``
`AggregateUnaryOperator(AggregateOperator aop, IndexFunction iop, int numThreads)`
``
`UnarySketchOperator(AggregateOperator aop, IndexFunction indexFunction, Types.Direction direction)`
``
`UnarySketchOperator(AggregateOperator aop, IndexFunction indexFunction, Types.Direction direction, int numThreads)`